Subject: bug#46979: Allow setting Man-default-entry via Local Variables

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Mar 2021 18:32:07 +0200

> From: Daniel Martín <[email-masked]>
> Cc: 積丹尼 Dan Jacobson <[email-masked]>,
>   [email-masked]
> Date: Mon, 08 Mar 2021 16:48:52 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> > Our solution to this is "C-h S".  Did you try it?  You can extend its
> > database if the default lacks something you need.
> 
> C-h S only searches Info pages.  I think this feature request is more
> about improving the default that M-x man offers, to consider more things
> than just the text around point.

That'd be a tough sell to a GNU project, since the GNU project wants
to deprecate the man pages.  (And please don't use "Info pages" when
you are talking about Info manuals: those manuals are not just
collections of random unrelated "pages".)

And besides, which important packages don't have Info manuals?

> I can see its usefulness, as a lot of Unix tools provide special man
> pages for its configuration files.  Another potential use case is a user
> visiting a .gitconfig file, where M-x man could suggest "git-config(1)"
> by default.  Similarly for .gitattributes and "gitattributes(5)".

Git has an Info manual, even though many people don't know and don't
use it.

> As it's almost impossible to have all that knowledge in Emacs core, I
> see it as a new extensibilty point for users.  What are the downsides
> you see in the local variable approach?

The need to add local variables to files is in itself a downside.